<p align="center">
  <a>
    <img width="200" src="https://web.sdk.qcloud.com/trtc/webrtc/assets/trtc-logo.png">
  </a>
</p>

<h1 align="center">TRTCCloud SDK</h1>

<div align="center">

An object-oriented TRTCCloud SDK library  

[![NPM version](https://img.shields.io/npm/v/trtc-cloud-js-sdk)](https://www.npmjs.com/package/trtc-cloud-js-sdk) [![NPM downloads](https://img.shields.io/npm/dw/trtc-cloud-js-sdk)](https://www.npmjs.com/package/trtc-cloud-js-sdk) [![Documents](https://img.shields.io/badge/-Documents-blue)](https://web.sdk.qcloud.com/trtc/webrtc/trtcCloud/doc/TRTCCloud.html)

</div>

English

## Introduction

TRTCCloud SDK is an object-oriented WebRTC SDK of Tencent Cloud's real-time communication solution. Web developers can use TRTCCloud SDK to establish an audio/video calls or live streaming services on your website.

## Environment Supports

TRTCCloud SDK supports major modern browsers. For details, please refer to [Browsers Supported](https://web.sdk.qcloud.com/trtc/webrtc/doc/en/tutorial-05-info-browser.html).

| [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/chrome_48x48.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/edge_48x48.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/> Edge | [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/firefox_48x48.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/safari_48x48.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/safari-ios_48x48.png" alt="iOS Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>iOS Safari | [<img src="https://web.sdk.qcloud.com/trtc/webrtc/assets/logo/opera_48x48.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera |
| --------- | --------- | --------- | --------- | --------- | --------- |
| 56+ | 80+ | 56+ | 11+ | 11+ | 46+ |

## Install

npm:
```
$ npm install trtc-cloud-js-sdk --save
```

yarn:
```
$ yarn add trtc-cloud-js-sdk
```

## Usage

Explore SDK documents：[TRTCCloud SDK](https://web.sdk.qcloud.com/trtc/webrtc/trtcCloud/doc/TRTCCloud.html)

## Directory

```
├── README.md
├── package.json
├── trtc-cloud-js-sdk.js // sdk file
```

## Difference between sdk files

**trtc-cloud-js-sdk.js**

Default entry file, base on UMD modules, ES6 included. 

Usage:
- `import TRTCCloud, { TRTCAppScene, TRTCParams } from 'trtc-cloud-js-sdk';`

## Reference Documents
- [TRTCCloud API](https://web.sdk.qcloud.com/trtc/webrtc/trtcCloud/doc/TRTCCloud.html)
